diff --git a/src/include/catalog/unused_oids b/src/include/catalog/unused_oids
index e3fcd913e8..c670982d3d 100755
--- a/src/include/catalog/unused_oids
+++ b/src/include/catalog/unused_oids
@@ -53,3 +53,13 @@ foreach my $oid (sort { $a <=> $b } @{$oids})
 	}
 	$prev_oid = $oid;
 }
+
+my $recommended;
+do
+{
+    $recommended = int(rand(2000) + 8000);
+}
+while (grep(/^$recommended$/, @{$oids}));
+
+printf "Using an oid in the 8000-9999 range is recommended.\n";
+printf "For instance: $recommended\n";
